Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Functions
winmain.c File Reference
`#include <windows.h>`
`#include <stdio.h>`

Go to the source code of this file.

## Functions
int | main (int, char **)
int WINAPI | WinMain (HINSTANCE current, HINSTANCE prev, LPSTR cmdline, int showcmd)

## Function Documentation

## ◆ main()

int main | ( | int | ,
|  | char ** |
| ) |  |

Definition at line 6934 of file nkf.c.

References argc, argv, EXTOUT_DIR, getenv, NULL, ruby_init(), RUBY_INIT_STACK, ruby_options, ruby_run_node, ruby_set_debug_option(), ruby_sysinit(), and STRINGIZE.

Referenced by WinMain().

## ◆ WinMain()

int WINAPI WinMain | ( | HINSTANCE | current,
|  | HINSTANCE | prev,
|  | LPSTR | cmdline,
|  | int | showcmd
| ) |  |

Definition at line 7 of file winmain.c.

References main(), and NULL.